Ubuntu

14e4:16bc Sandisk Extreme 32GB Class 10 45MB/s not readable in Acer Aspire V3-571G-9686

Reported by bowman on 2013-01-19
50
This bug affects 10 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

SD cards with capacity 2Gb and less work fine. WINTEC 8GB Class 10 SDHC got recognized and mounted. However, Sandisk Extreme 32GB Class 10 45MB/s does not get recognized.

Card reader:
02:00.1 SD Host controller: Broadcom Corporation NetXtreme BCM57765 Memory Card Reader (rev 10)

kernel.log :
Jan 19 14:58:32 super-pc kernel: [ 2499.254007] mmc0: error -110 whilst initialising SD card
Jan 19 14:58:34 super-pc kernel: [ 2501.131883] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0

Reverse mainline kernel version bisect revealed:
v3.8-rc4 bad
v3.10-rc3 good

--
ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-22-generic 3.5.0-22.34
ProcVersionSignature: Ubuntu 3.5.0-22.34-generic 3.5.7.2
Uname: Linux 3.5.0-22-generic x86_64
ApportVersion: 2.6.1-0ubuntu9
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bowman 1840 F.... pulseaudio
Date: Sat Jan 19 15:00:13 2013
HibernationDevice: RESUME=UUID=b8de7016-0d87-4aae-9f1b-e08b43bacb75
InstallationDate: Installed on 2013-01-19 (0 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: Acer Aspire V3-571G
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-22-generic root=UUID=987c7361-c40b-4803-94c4-691a9b51865f ro acpi_osi=Linux quiet splash acpi_backlight=vendor vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-22-generic N/A
 linux-backports-modules-3.5.0-22-generic N/A
 linux-firmware 1.95
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/14/2012
dmi.bios.vendor: Acer
dmi.bios.version: V2.04
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: VA50_HC_CR
dmi.board.vendor: Acer
dmi.board.version: Type2 - Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V2.04
dmi.modalias: dmi:bvnAcer:bvrV2.04:bd09/14/2012:svnAcer:pnAspireV3-571G:pvrV2.04:rvnAcer:rnVA50_HC_CR:rvrType2-BoardVersion:cvnAcer:ct10:cvrV2.04:
dmi.product.name: Aspire V3-571G
dmi.product.version: V2.04
dmi.sys.vendor: Acer

bowman (tereshkosg) wrote :
bowman (tereshkosg) wrote :

By not readable .. i mean are not mouted.

bowman (tereshkosg) wrote :

SD cards with capacity 2Gb and less work fine.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

bowman, thank you for reporting this and helping make Ubuntu better. Could you please provide the full computer model found on the computer sticker?

description: updated
summary: - SDHC cards are not readable in Acer Aspire V3
+ 14e4:16bc SDHC cards are not readable in Acer Aspire V3
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
bowman (tereshkosg) wrote :

ACER V3-571G-9686. Today i plugged in WINTEC 8GB Class 10 SDHC and it got recognized and mounted. However, Sandisk Extreme 32GB Class 10 45MB/s ... still does not get recognized - error as indicated above. Have to boot windows everytime to copy the pictures.

bowman, as per http://us.acer.com/ac/en/US/content/drivers an update is available for your BIOS (2.11). If you update to this, does it change anything?

tags: added: bios-outdated needs-upstream-testing regression-potential
description: updated
summary: - 14e4:16bc SDHC cards are not readable in Acer Aspire V3
+ 14e4:16bc Sandisk Extreme 32GB Class 10 45MB/s not readable in Acer
+ Aspire V3-571G-9686
bowman (tereshkosg) wrote :

I will give it a shot (probably tomorrow). Why do you think BIOS update should change anything? Same PC reads this card just fine under Win 8.

bowman (tereshkosg) wrote :

Okay, updated the BIOS .. no difference.

bowman, thank you for testing the newest BIOS. Could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the mainline kernels archive directory daily folder. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.8-rc4

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Helpful bug reporting tips:
https://help.ubuntu.com/community/ReportingBugs

tags: removed: bios-outdated
bowman (tereshkosg) wrote :

okay, tried two kernels:

linux-image-3.7.0-030700rc2-generic
and
linux-image-3.8.0-030800rc4-generic this one was for "raring", had to launch in graphics safe mode

Both kernels exhibited in kern.log :

Jan 22 18:38:19 future kernel: [ 112.165839] mmc0: error -110 whilst initialising SD card
Jan 22 18:38:19 future kernel: [ 112.476128] sdhci: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0

So the issue persists even in the upstream.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.8-rc4
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
bowman (tereshkosg) wrote :

To shed more light on this ... it's one of the UHS-I cards (http://www.sandisk.com/products/memory-cards/sd/extreme-uhs-1-45mbs/) 32GB option.

Here is what I found about it:
Cards that comply with UHS show UHS-I or UHS-II on the label, and report this capability to the host device. Use of UHS requires that the host device command the card to drop from 3.3-volt to 1.8-volt operation and select the 4-bit transfer mode.

bowman, thank you for testing the newest available mainline kernel. Did this issue not occur in a release prior to Quantal?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
bowman (tereshkosg) wrote :

If you are asking whether the reader worked with the previous versions of ubuntu, then I don't know - it's a brand new laptop.

tags: added: cherry-pick
tags: removed: cherry-pick

Do you think there will be a solution in 13.04?
Thank You

bowman, thank you for your response. For regression testing purposes, could you please test Lucid via http://releases.ubuntu.com/lucid/ ?

In Lucid it doesn't work, too.
Thank you

Pondo Sinatra, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: added: lucid
tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream regression-potential
tags: removed: lucid
bowman (tereshkosg) wrote :

Christopher, I am not sure what is the rationale in asking Pondo to open a "bug in Ubuntu" if he is experiencing the exact same problem. So far your comments sound like a typical paper-pushing. Nothing concrete ... just try this try that. If a separate bug report is needed for your book keeping ask that directly.

Yes, it's the same problem, Acer Aspire One, but exactly the same card reader.

Freddy (fredfewo) wrote :

Just to add a comment the Macbook pro Retina is using the same hardware for the SD card :
02:00.1 SD Host controller: Broadcom Corporation NetXtreme BCM57765 Memory Card Reader (rev 10)
and I experienced the same problem on Ubuntu 13.04 (Raring Ringtail) Daily Build of 24 March.
Exact same output in the kernel.log.
I was testing a SDXC Lexar Platinium II 64GB 200x class10.
Thanks

Freddy (fredfewo) wrote :

SDHC card seems to work if you put the card before you start ubuntu but not SDXC.
Thanks

I'm using Ubuntu 13.04 (64bit) on a MacBook Pro 13" (mid 2012) with the same adapter (bcm57765 for ethernet and card reader).
This bug affects me, too. Same error messages in syslog, currently using kernel 3.8.0-21-generic.

I've tried different sd card sizes and different classes. Size doesn't matter (what a joke), but my SanDisk Extreme Class 10 8GB is not recongized correctly. Another Transcend standard Class 10 32GB works fine.

There is another bug report at https://bugs.launchpad.net/linaro-landing-team-freescale/+bug/910835 with a kernel patch, but I don't know how to use and test it.

Regards

tags: added: bios-outdated-2.14

bowman, as per http://us.acer.com/ac/en/US/content/drivers an update is available for your BIOS (2.14). If you update to this, does it change anything?

If not, could you please provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Thank you for your understanding.

bowman (tereshkosg) wrote :

updated the BIOS, no difference:

sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
V2.14
02/19/2013

kernel.log
.....
May 28 19:09:41 kernel: [ 219.655464] mmc0: error -110 whilst initialising SD card
May 28 19:09:45 kernel: [ 223.213058] mmc0: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
May 28 19:10:04 kernel: [ 242.203375] mmc0: error -110 whilst initialising SD card
May 28 19:10:05 kernel: [ 243.018359] mmc0: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
May 28 19:10:22 kernel: [ 259.958967] mmc0: error -110 whilst initialising SD card
May 28 19:10:22 kernel: [ 260.674404] mmc0: Switching to 1.8V signalling voltage failed, retrying with S18R set to 0
.....

bowman, thank you for updating your BIOS. Could you please test the newest mainline kernel and comment to the results via http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-rc3-saucy/ ?

tags: added: latest-bios-2.14
removed: bios-outdated-2.14
bowman (tereshkosg) wrote :

The newest kernel 3.10.0-031000rc3-generic resolved the issue for me. It take a couple of seconds but the card is mounted and functional! Thanks.

bowman, thank you for testing the newest mainline kernel. The next step would be to perform a reverse mainline kernel version bisect, to find the first mainline kernel version that fixed your problem. Could you please do this following https://wiki.ubuntu.com/Kernel/MainlineBuilds ?

tags: added: kernel-fixed-upstream kernel-fixed-upstream-v3.10-rc3
removed: kernel-bug-exists-upstream-v3.8-rc4 needs-upstream-testing
description: updated
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Jack Ramsay (f-jack) on 2013-08-14
Changed in linux (Ubuntu):
status: Expired → Confirmed

Jack Ramsay, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the official Ubuntu documentation:
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Detlef (racinggoat) wrote :

I have an Acer Aspire V3-571G with ubuntu 12.04.2 an problems too, with the cardreader. The new card (Sandisk ExtremePro 32GB) doesn't work with ubuntu. With Windows 8 it works. My old card ADATA 16 GB class 10 works fine with ubuntu.

What can i do? Who can help me?

..sorry for my English...

Detlef, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. If you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Xavier (rxaviers) wrote :

Christopher, kernel v3.10-rc3 fixed bowman's bug. When is this going upstream on Ubuntu? Any plans?

Xavier, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Xavier (rxaviers) wrote :

No, I don't. I just want to know what I asked, with all respect, please.

Download full text (4.7 KiB)

Hi all,
My configuration: MacBook Pro 15" late 2011 (8,2), ubuntu 12.04 32bit.
Sd card tested: sandisk extreme 32gb 45mb/s (sdhc I).

Kernels tried:
3.2 - does not work (1.8 voltage error as first post..)
3.5 - does not work as above
3.10.17: it worked the first time (after a couple of second, as in comment #28), but never worked again, with the following in dmesg:
[ 67.912335] mmc0: new ultra high speed DDR50 SDHC card at address aaaa
[ 67.920017] mmcblk0: mmc0:aaaa SU32G 29.7 GiB
[ 77.940120] mmc0: Timeout waiting for hardware interrupt.
[ 77.940160] ------------[ cut here ]------------
[ 77.940176] WARNING: CPU: 6 PID: 0 at /home/apw/COD/linux/drivers/mmc/host/sdhci.c:990 sdhci_send_command+0x1c3/0x200 [sdhci]()
[ 77.940177] Modules linked in: mmc_block(+) hid_magicmouse hidp ip6table_filter ip6_tables iptable_filter ip_tables x_tables pci_stub vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) bnep rfcomm parport_pc ppdev snd_hda_codec_hdmi uvcvideo lib80211_crypt_tkip snd_hda_codec_cirrus videobuf2_core joydev videodev videobuf2_vmalloc btusb bcm5974 snd_hda_intel videobuf2_memops bluetooth snd_hda_codec fglrx(POF) snd_seq_midi hid_appleir snd_hwdep wl(POF) snd_rawmidi snd_pcm snd_seq_midi_event applesmc snd_seq input_polldev snd_timer snd_seq_device dm_multipath scsi_dh cfg80211 binfmt_misc snd soundcore snd_page_alloc mei_me lpc_ich lib80211 mei apple_gmux apple_bl mac_hid lp parport dm_mirror dm_region_hash dm_log hid_generic hid_apple usbhid hid tg3 firewire_ohci firewire_core sdhci_pci ptp crc_itu_t sdhci pps_core video
[ 77.940219] CPU: 6 PID: 0 Comm: swapper/6 Tainted: PF O 3.11.6-031106-generic #201310181453
[ 77.940221] Hardware name: Apple Inc. MacBookPro8,2/Mac-94245A3940C91C80, BIOS MBP81.88Z.0047.B27.1201241646 01/24/12
[ 77.940223] 00000000 00000000 f771fe8c c164ccef f84653a8 f771febc c10554f4 c1843314
[ 77.940228] 00000006 00000000 f84653a8 000003de f8463e23 f8463e23 f6e78300 ecaba4c4
[ 77.940234] ecaba490 f771fecc c1055532 00000009 00000000 f771feec f8463e23 f6c94864
[ 77.940239] Call Trace:
[ 77.940245] [<c164ccef>] dump_stack+0x41/0x52
[ 77.940251] [<c10554f4>] warn_slowpath_common+0x84/0xa0
[ 77.940257] [<f8463e23>] ? sdhci_send_command+0x1c3/0x200 [sdhci]
[ 77.940261] [<f8463e23>] ? sdhci_send_command+0x1c3/0x200 [sdhci]
[ 77.940264] [<c1055532>] warn_slowpath_null+0x22/0x30
[ 77.940269] [<f8463e23>] sdhci_send_command+0x1c3/0x200 [sdhci]
[ 77.940273] [<f8463f19>] sdhci_finish_data+0xb9/0x130 [sdhci]
[ 77.940278] [<f846400f>] sdhci_timeout_timer+0x7f/0xc0 [sdhci]
[ 77.940283] [<c10610af>] call_timer_fn+0x2f/0x110
[ 77.940287] [<f8463f90>] ? sdhci_finish_data+0x130/0x130 [sdhci]
[ 77.940290] [<c1061f31>] run_timer_softirq+0x1e1/0x210
[ 77.940295] [<c108e8a9>] ? rebalance_domains+0x89/0x150
[ 77.940300] [<f8463f90>] ? sdhci_finish_data+0x130/0x130 [sdhci]
[ 77.940303] [<c1059d90>] ? local_bh_enable_ip+0x90/0x90
[ 77.940306] [<c1059e39>] __do_softirq+0xa9/0x200
[ 77.940309] [<c1059d90>] ? local_bh_enable_ip+0x90/0x90
[ 77.940310] <IRQ> [<c105a0d6>] ? irq_exit+0x76/0xa0
[ 77.940316] [<c165f0e8>] ? smp_apic_timer_interrupt+0x3...

Read more...

Update: after the above message, I'm able to mount the sd card:
sudo mount /dev/mmcblk0p1 sd
but this doesn't happen automagically, and mounting it via nautilus doesn't work.

thanks

Update: it's random. Sometimes I get the errors, sometimes it connects it but without mounting it, sometimes it would mount it automatically.
I can't isolate the issue, but it seems to be still kernel related.

Btw, I had found at some point a patch for the kernel to make it working, I had applied it, compiled the kernel and it was successfully mounting the sd in 1 second. I can't find the patch anymore.

cheers
mic

Michele Berlingerio, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documentation in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Xavier (rxaviers) wrote :

Hey Michele, I guess we are been answered by a bot or something. Still hoping we'll get a human reply...

Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
Jack Ramsay (f-jack) on 2014-01-05
Changed in linux (Ubuntu):
status: Expired → New
status: New → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers